Name: xmlbg
Version: 1.1
Release: 2%{?dist}
License: GPLv3
Summary: Desktop background manager
URL: http://booksorg.sourceforge.net
Source0: xmlbg-1.1.tar.gz
BuildRequires: gcc-c++
BuildRequires:  qt4-devel

%description
Multi backgrounds for desktop now easy to do now.

%prep
%setup -q -n %{name}-%{version}

%build
qmake-qt4
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF

[Desktop Entry]
Type=Application
Name=XmlBG
Name[ar]=منظم الخلفيات 
GenericName=Desktop background manager
GenericName[ar]=منظم الخلفيات
Comment=Managment of desktop backgrounds
Comment[ar]=تنظيم خلفيات سطح المكتب
Terminal=false
Exec=xmlbg
Icon=xmlbg
Categories=GTK;GNOME;Utility;
StartupNotify=false
EOF


# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-2-18
-->
<application>
  <id type="desktop">%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Desktop background manager</summary>
  <description>
    <p>
	Multi backgrounds for desktop now easy to do now.
    </p>
  </description>
  <url type="homepage">http://booksorg.sourceforge.net</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/%{name}.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sat Mar 3 2017 Mosaab Alzoubi <moceap@hotmail.com> - 1.1-2
- Imported from http://download.opensuse.org/repositories/home:/kovax/CentOS_CentOS-6/src/xmlbg-1.1-106.1.src.rpm
- Clean the spec
